Package org.eclipse.mat.snapshot.model

## Interface IArray

All Superinterfaces:
  `IObject`, `java.io.Serializable`

All Known Subinterfaces:
  `IObjectArray`, `IPrimitiveArray`

All Known Implementing Classes:
  `AbstractArrayImpl`, `ObjectArrayImpl`, `PrimitiveArrayImpl`

    public interface IArray
    extends IObject

Interface for an array object in the heap dump.

No Implement:

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.snapshot.model.IObject

`IObject.Type`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getLength()` Returns the length of the array in elements.

### Methods inherited from interface org.eclipse.mat.snapshot.model.IObject

`getClassSpecificName, getClazz, getDisplayName, getGCRootInfo, getObjectAddress, getObjectId, getOutboundReferences, getRetainedHeapSize, getSnapshot, getTechnicalName, getUsedHeapSize, resolveValue`

### Method Detail

#### getLength

    int getLength()

Returns the length of the array in elements.

Returns:
  the length